## python3-defaults 3.6.5~rc1-1

=== debian/changelog ===
python3-defaults (3.6.5~rc1-1) unstable; urgency=medium

  * Bump version to 3.6.5~rc1.
  * Remove dh-python dependency from python3.
  * Add dh-python and python3-distutils dependencies to python3-all and
    python3-dev.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Mar 2018 19:05:26 +0800

python3-defaults (3.6.4-1) unstable; urgency=medium

  * Bump version to 3.6.4.
  * 2to3: Depend on python3-lib2to3 and provide the 2to3 launcher.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Dec 2017 23:53:39 +0100

python3-defaults (3.6.4~rc1-2) unstable; urgency=medium

  * 2to3: Fix breaks/replaces relation with python. Closes: #884418.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Dec 2017 08:24:00 +0100

python3-defaults (3.6.4~rc1-1) unstable; urgency=medium

  * Bump version to 3.6.4~rc1.
  * Stop using priority extra for the -dbg packages.
  * Build a 2to3 package.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Dec 2017 23:52:01 +0100

python3-defaults (3.6.3-2) unstable; urgency=medium

  * Remove python3.5 as a supported Python3 version.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Oct 2017 21:09:05 +0200

python3-defaults (3.6.3-1) unstable; urgency=medium

  * Bump version to 3.6.3.
  * Update more references from 3.5 to 3.6.
  * Rename the idle3 package to idle, keep a transitional idle3 package.
  * Fix idle script to run with Python3.
  * Bump standards version to 4.1.1.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Oct 2017 08:36:04 +0200

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), python3.6 (>= 3.6.5~rc1-3~),
  lsb-release,
  python3-minimal:any,
  python3-docutils,
  docbook-xml,
  docbook-xsl,
  w3m,
  xsltproc,
Standards-Version: 4.1.3
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files

Package: python3
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3-minimal (= ${binary:Version})
Depends: python3.6 (>= 3.6.5~rc1-3~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.6.5~rc1-3~) , python3-venv (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.6).

Package: python3-venv
Architecture: any
Multi-Arch: allowed
Depends: python3.6-venv (>= 3.6.5~rc1-3~), python3 (= ${binary:Version}), ${misc:Depends}
Description: pyvenv-3 binary for python3 (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.6).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Depends: python3.6-minimal (>= 3.6.5~rc1-3~), dpkg (>= 1.13.20), ${misc:Depends}
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.6-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Multi-Arch: foreign
Depends: python3 (>= ${binary:Version}), python3.6-examples (>= 3.6.5~rc1-3~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.6).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
  python3.6-dev (>= 3.6.5~rc1-3~), python3-distutils (>= 3.6.5~rc1-2),
  ${misc:Depends}, dh-python
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.6).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3.6-dev (>= 3.6.5~rc1-3~), ${misc:Depends}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.6).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.6-stdlib (>= 3.6.5~rc1-3~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.6).

Package: idle
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.6
Enhances: python3
Breaks: idle3 (<< 3.6.2-2)
Replaces: idle3 (<< 3.6.2-2)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.6).

Package: idle3
Architecture: all
Section: oldlibs
Depends: python3 (>= ${binary:Version}), idle (>= ${binary:Version}), ${misc:Depends}
Description: IDE for Python using Tkinter (transitional package)
 IDLE is an Integrated Development Environment for Python.
 .
 This package is a transitional package, you can safely remove it.

Package: python3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: python3.6-doc (>= 3.6.5~rc1-3~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.6). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.6).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.6-dbg (>= 3.6.5~rc1-3~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.6)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.6/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3.6-dbg (>= 3.6.5~rc1-3~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.6)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.6/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), ${misc:Depends},
 dh-python, python3-distutils (>= 3.6.5~rc1-2),
 python3.6
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.6, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
 python3.6-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.6-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
 python3.6-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.6-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3-dev (= ${binary:Version}), ${misc:Depends},
 libpython3.6-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.6-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3-dbg (= ${binary:Version}), ${misc:Depends},
 libpython3.6-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.6-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: 2to3
Architecture: all
Multi-Arch: foreign
Depends: python3-lib2to3 (>= 3.6.5~rc1-3~), python3 (>= ${binary:Version}), ${misc:Depends}
Breaks: python (<< 2.7.14-4)
Replaces: python (<< 2.7.14-4)
Description: 2to3 binary using python3
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 2to3 version (currently v3.6).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))
UPSTRVER   := $(shell echo $(PKGVERSION) | sed -rne 's,(.*)-.*,\1,p')
IPKGVER    := $(shell echo $(PKGVERSION) | sed -rne 's,(.*)\+.*,\1,p')
VER        := $(shell echo $(PKGVERSION) | sed -rne 's,(.{3}).*,\1,p')
NVER       := $(shell echo $(VER) | awk 'BEGIN{FS="." }{print $$1 "." $$2 + 1}') 


distribution := $(shell dpkg-vendor --query Vendor)
distrelease  := $(shell lsb_release -cs)

# requiered python3.x version
UPSTRVER   := 3.6.5~rc1-3~

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_i586 = dpkg-dev (>= 1.17.11), python3.6 (>= 3.6.5~rc1-3~),
else
  bd_i586 = dpkg-dev (>= 1.16.1~),
endif

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build-arch: build
build-indep: build

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	xsltproc --nonet --novalid debian/html.xsl debian/python-policy.dbk \
	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > python-policy.txt
	mv -f python-policy.txt debian/
	rm -rf debian/python-policy.html
	mkdir python-policy.html
	( cd python-policy.html; xsltproc --nonet --novalid ../debian/chunk.xsl ../debian/python-policy.dbk )
	mv -f python-policy.html debian/
	touch stamp-doc-policy

stamp-doc: #stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@UPSTRVER@/$(UPSTRVER)/g" \
	    -e "s/@IPKGVER@/$(IPKGVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@bd_i586@/$(bd_i586)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,python$(VER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/python$(VER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
ifeq (0,1)
	dh_installdirs usr/share/doc/python/faq

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/
endif
	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	#make check_versions
	DESTDIR=debian/python3 PREFIX=/usr make install-dev
	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime manpages
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python3-doc/usr/share/doc/python3
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3/html
	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python3-doc/usr/share/doc/python3-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python3.xpm debian/idle/usr/share/pixmaps/idle.xpm

	mkdir -p debian/idle/usr/share/applications
	cp -p debian/idle.desktop debian/idle/usr/share/applications/

	: # provide the 2to3-3 a and 2to3-3.1 defaults
	mkdir -p debian/2to3/usr/bin
	install -m 755 debian/2to3.py debian/2to3/usr/bin/2to3

	mkdir -p debian/2to3/usr/share/man/man1
	install -m 644 debian/2to3.1 debian/2to3/usr/share/man/man1/2to3.1

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle idle3; do \
	  case $$p in idle*) : ;; *) p=python3-$$p; esac; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python3-minimal/usr/bin
	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
	ln -sf python$(VER)m debian/python3-minimal/usr/bin/python3m
	mkdir -p debian/python3-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python3-minimal/usr/share/man/man1/python3.1.gz
	ln -sf python$(VER)m.1.gz \
		debian/python3-minimal/usr/share/man/man1/python3m.1.gz

	: # 
	mkdir -p debian/python3-minimal/usr/share/python3
	cp -p debian/debian_defaults \
		debian/python3-minimal/usr/share/python3/

	install -m 755 debian/py3versions.py \
		debian/python3-minimal/usr/share/python3/
	install -m 644 debian/py3versions.1 \
		debian/python3-minimal/usr/share/man/man1/
	dh_link -ppython3-minimal /usr/share/python3/py3versions.py /usr/bin/py3versions

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python3/usr/bin
	ln -sf pydoc$(VER) debian/python3/usr/bin/pydoc3
	ln -sf pygettext$(VER) debian/python3/usr/bin/pygettext3
	ln -sf pdb$(VER) debian/python3/usr/bin/pdb3

	mkdir -p debian/python3/usr/share/python3
	install -m 644 debian/python.mk \
		debian/python3/usr/share/python3/

	mkdir -p debian/python3/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python3/usr/share/man/man1/pydoc3.1.gz
	ln -sf pygettext$(VER).1.gz \

## python3-defaults 3.6.5-3

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= py3compile.1 py3clean.1
VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p')

clean:
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -type d | xargs rm -rf
	rm -f .coverage $(MANPAGES)

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python3/runtime.d
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python3/runtime.d/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python3/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python3/debpython/
	$(INSTALL) -m 755 py3compile $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3compile
	$(INSTALL) -m 755 py3clean $(DESTDIR)$(PREFIX)/bin/
	sed -i -e 's/DEVELV/$(VERSION)/' $(DESTDIR)$(PREFIX)/bin/py3clean

install: install-dev install-runtime

%.1: %.rst
	rst2man $< > $@

manpages: $(MANPAGES)

pdebuild:
	pdebuild --debbuildopts -I

# TESTS
tests:
	nosetests3 --with-doctest --with-coverage

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python3 -c 'import debpython.version as v; print(v.vrepr(v.DEFAULT))'`;\
	SUPPORTED=`python3 -c 'import debpython.version as v; print(" ".join(sorted(v.vrepr(v.SUPPORTED))))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== debian/changelog ===
python3-defaults (3.6.5-3) unstable; urgency=medium

  * Update valgrind support file. LP: #1513364.
  * debian/control.in (Michael Vogt):
    - add Cnf-Visible-Pkgname hint to ensure command-not-found recommends
      installing "python3" instead of "python3-minimal" when it is missing.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Apr 2018 11:48:03 +0200

python3-defaults (3.6.5-2) unstable; urgency=medium

  * Distinguish between python3.6 and python3-stdlib-extensions versions.
    Closes: #894168.
  * python3-venv: Depend on python3-distutils.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2018 07:06:32 +0200

python3-defaults (3.6.5-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Bump version to 3.6.5.

  [ Michael Vogt ]
  * debian/control.in: LP: #1752415
    - add "XB-Cnf-Extra-Commands: python" to ensure command-not-found
      outputs the python3 package when searching for "python"
    - add XB-Cnf-Priority-Bonus to ensure python3 is listed on the
      top when typing "python"

 -- Matthias Klose <doko@debian.org>  Sat, 31 Mar 2018 16:26:32 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), python3.6 (>= 3.6.5~rc1-3~),
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), python3.6,
   lsb-release,
   python3-minimal:any,
   python3-docutils,
@@ -11,7 +11,7 @@
   docbook-xsl,
   w3m,
   xsltproc,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
@@ -20,8 +20,8 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.6 (>= 3.6.5~rc1-3~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.6.5~rc1-3~) , python3-venv (>= ${binary:Version})
+Depends: python3.6 (>= 3.6.5-2~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.6.5-2~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
 Description: interactive high-level object-oriented language (default python3 version)
@@ -31,11 +31,14 @@
  .
  This package is a dependency package, which depends on Debian's default
  Python 3 version (currently v3.6).
+XB-Cnf-Extra-Commands: python
+XB-Cnf-Priority-Bonus: 5
 
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.6-venv (>= 3.6.5~rc1-3~), python3 (= ${binary:Version}), ${misc:Depends}
+Depends: python3.6-venv (>= 3.6.5-2~), python3 (= ${binary:Version}),
+  python3-distutils (>= 3.6.5-2~), ${misc:Depends}
 Description: pyvenv-3 binary for python3 (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -47,17 +50,18 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.6-minimal (>= 3.6.5~rc1-3~), dpkg (>= 1.13.20), ${misc:Depends}
+Depends: python3.6-minimal (>= 3.6.5-2~), dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
  See /usr/share/doc/python3.6-minimal/README.Debian for a list of the modules
  contained in this package.
+Cnf-Visible-Pkgname: python3
 
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.6-examples (>= 3.6.5~rc1-3~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.6-examples (>= 3.6.5-2~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -69,7 +73,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.6-dev (>= 3.6.5~rc1-3~), python3-distutils (>= 3.6.5~rc1-2),
+  python3.6-dev (>= 3.6.5-2~), python3-distutils (>= 3.6.5-2~),
   ${misc:Depends}, dh-python
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
@@ -84,7 +88,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.6-dev (>= 3.6.5~rc1-3~), ${misc:Depends}
+Depends: libpython3.6-dev (>= 3.6.5-2~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -96,7 +100,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.6-stdlib (>= 3.6.5~rc1-3~), ${misc:Depends}
+Depends: libpython3.6-stdlib (>= 3.6.5-2~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -131,7 +135,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.6-doc (>= 3.6.5~rc1-3~), ${misc:Depends}
+Depends: python3.6-doc (>= 3.6.5-2~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -155,7 +159,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.6-dbg (>= 3.6.5~rc1-3~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.6-dbg (>= 3.6.5-2~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.6)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.6/lib-dynload/debug first.
@@ -164,7 +168,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.6-dbg (>= 3.6.5~rc1-3~), ${misc:Depends}
+Depends: libpython3.6-dbg (>= 3.6.5-2~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.6)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.6/lib-dynload/debug first.
@@ -173,7 +177,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), ${misc:Depends},
- dh-python, python3-distutils (>= 3.6.5~rc1-2),
+ dh-python, python3-distutils (>= 3.6.5-2~),
  python3.6
 Description: package depending on all supported Python 3 runtime versions
  The package currently depends on python3.6, in the future,
@@ -243,7 +247,7 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.6.5~rc1-3~), python3 (>= ${binary:Version}), ${misc:Depends}
+Depends: python3-lib2to3 (>= 3.6.5-2~), python3 (>= ${binary:Version}), ${misc:Depends}
 Breaks: python (<< 2.7.14-4)
 Replaces: python (<< 2.7.14-4)
 Description: 2to3 binary using python3

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,13 @@
 distrelease  := $(shell lsb_release -cs)
 
 # requiered python3.x version
-UPSTRVER   := 3.6.5~rc1-3~
+UPSTRVER   := 3.6.5-2~
+
+# required versions of python3-lib2to3 and python3-distutils
+STDLIBVER   := 3.6.5-2~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.6 (>= 3.6.5~rc1-3~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.6,
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -66,6 +69,7 @@
 
 control-file:
 	sed -e "s/@UPSTRVER@/$(UPSTRVER)/g" \
+	    -e "s/@STDLIBVER@/$(STDLIBVER)/g" \
 	    -e "s/@IPKGVER@/$(IPKGVER)/g" \
 	    -e "s/@NVER@/$(NVER)/g" \
 	    -e "s/@VER@/$(VER)/g" \
@@ -263,6 +267,3 @@
 		debian/python3/usr/share/python3/
 
 	mkdir -p debian/python3/usr/share/man/man1
-	ln -sf pydoc$(VER).1.gz \
-		debian/python3/usr/share/man/man1/pydoc3.1.gz
-	ln -sf pygettext$(VER).1.gz \

## python3-defaults 3.6.6-1

=== debian/changelog ===
python3-defaults (3.6.6-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Fix the idle desktop file. Closes: #901096.
  * Install the policy files in the python3 package. Closes: #901486.
  * python3-minimal: Pre-Depend on python3.6-minimal. Closes: #901001.
  * Bump version to 3.6.6.

  [ Scott Kitterman ]
  * Remove myself from uploaders

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jun 2018 18:18:20 +0200

python3-defaults (3.6.5-5) experimental; urgency=medium

  * Fix typo in the defaults file. Closes: #900937, #900949.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jun 2018 17:57:53 +0200

python3-defaults (3.6.5-4) experimental; urgency=medium

  * Update Vcs attributes.
  * Add Python 3.7 to the list of supported Python3 versions.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jun 2018 18:26:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), python3.6,
+Uploaders: Piotr Ożarowski <piotr@debian.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), python3.6 (>= 3.6.6-1~),
   lsb-release,
   python3-minimal:any,
   python3-docutils,
@@ -12,16 +12,16 @@
   w3m,
   xsltproc,
 Standards-Version: 4.1.4
-Homepage: http://www.python.org/
-Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
-Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
+Homepage: https://www.python.org/
+Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
+Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults
 
 Package: python3
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.6 (>= 3.6.5-2~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.6.5-2~) , python3-venv (>= ${binary:Version})
+Depends: python3.6 (>= 3.6.6-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.6.6-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
 Description: interactive high-level object-oriented language (default python3 version)
@@ -37,8 +37,8 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.6-venv (>= 3.6.5-2~), python3 (= ${binary:Version}),
-  python3-distutils (>= 3.6.5-2~), ${misc:Depends}
+Depends: python3.6-venv (>= 3.6.6-1~), python3 (= ${binary:Version}),
+  python3-distutils (>= 3.6.6-1~), ${misc:Depends}
 Description: pyvenv-3 binary for python3 (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -50,7 +50,8 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.6-minimal (>= 3.6.5-2~), dpkg (>= 1.13.20), ${misc:Depends}
+Pre-Depends: python3.6-minimal (>= 3.6.6-1~)
+Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
@@ -61,7 +62,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.6-examples (>= 3.6.5-2~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.6-examples (>= 3.6.6-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -73,7 +74,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.6-dev (>= 3.6.5-2~), python3-distutils (>= 3.6.5-2~),
+  python3.6-dev (>= 3.6.6-1~), python3-distutils (>= 3.6.6-1~),
   ${misc:Depends}, dh-python
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
@@ -88,7 +89,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.6-dev (>= 3.6.5-2~), ${misc:Depends}
+Depends: libpython3.6-dev (>= 3.6.6-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -100,7 +101,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.6-stdlib (>= 3.6.5-2~), ${misc:Depends}
+Depends: libpython3.6-stdlib (>= 3.6.6-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -135,7 +136,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.6-doc (>= 3.6.5-2~), ${misc:Depends}
+Depends: python3.6-doc (>= 3.6.6-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -159,7 +160,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.6-dbg (>= 3.6.5-2~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.6-dbg (>= 3.6.6-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.6)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.6/lib-dynload/debug first.
@@ -168,7 +169,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.6-dbg (>= 3.6.5-2~), ${misc:Depends}
+Depends: libpython3.6-dbg (>= 3.6.6-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.6)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.6/lib-dynload/debug first.
@@ -176,11 +177,13 @@
 Package: python3-all
 Architecture: any
 Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}), ${misc:Depends},
- dh-python, python3-distutils (>= 3.6.5-2~),
- python3.6
+Depends: python3 (= ${binary:Version}),
+ ${misc:Depends},
+ dh-python,
+ python3-distutils (>= 3.6.6-1~),
+ python3.6, python3.7,
 Description: package depending on all supported Python 3 runtime versions
- The package currently depends on python3.6, in the future,
+ The package currently depends on python3.6 and python3.7, in the future,
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
  may be added.
  .
@@ -190,10 +193,14 @@
 Package: python3-all-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: python3 (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
- python3.6-dev
+Depends: python3 (= ${binary:Version}),
+ libpython3-all-dev (= ${binary:Version}),
+ python3-all (= ${binary:Version}),
+ python3-dev (= ${binary:Version}),
+ ${misc:Depends},
+ python3.6-dev, python3.7-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on python3.6-dev, in the
+ The package currently depends on python3.6-dev and python3.7-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -205,10 +212,14 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
- python3.6-dbg
+Depends: python3 (= ${binary:Version}),
+ libpython3-all-dbg (= ${binary:Version}),
+ python3-all (= ${binary:Version}),
+ python3-dbg (= ${binary:Version}),
+ ${misc:Depends},
+ python3.6-dbg, python3.7-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on python3.6-dbg, in the
+ The package currently depends on python3.6-dbg and python3.7-dbg, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -219,10 +230,11 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3-dev (= ${binary:Version}), ${misc:Depends},
- libpython3.6-dev
+Depends: libpython3-dev (= ${binary:Version}),
+ ${misc:Depends},
+ libpython3.6-dev, libpython3.7-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on libpython3.6-dev, in the
+ The package currently depends on libpython3.6-dev and libpython3.7-dev, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -234,10 +246,11 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3-dbg (= ${binary:Version}), ${misc:Depends},
- libpython3.6-dbg
+Depends: libpython3-dbg (= ${binary:Version}),
+ ${misc:Depends},
+ libpython3.6-dbg, libpython3.7-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on libpython3.6-dbg, in the
+ The package currently depends on libpython3.6-dbg and libpython3.7-dbg, in the
  future, dependencies on jython (Python for a JVM) and ironpython (Python
  for Mono) may be added.
  .
@@ -247,7 +260,7 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.6.5-2~), python3 (>= ${binary:Version}), ${misc:Depends}
+Depends: python3-lib2to3 (>= 3.6.6-1~), python3 (>= ${binary:Version}), ${misc:Depends}
 Breaks: python (<< 2.7.14-4)
 Replaces: python (<< 2.7.14-4)
 Description: 2to3 binary using python3

=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,13 @@
 distrelease  := $(shell lsb_release -cs)
 
 # requiered python3.x version
-UPSTRVER   := 3.6.5-2~
+UPSTRVER   := 3.6.6-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.6.5-2~
+STDLIBVER   := 3.6.6-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.6,
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.6 (>= 3.6.6-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -64,7 +64,7 @@
 	mv -f python-policy.html debian/
 	touch stamp-doc-policy
 
-stamp-doc: #stamp-doc-policy
+stamp-doc: stamp-doc-policy
 	touch stamp-doc
 
 control-file:
@@ -228,7 +228,7 @@
 	dh_builddeb -i $(NOPKGS)
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build install stamp-doc
 	dh_testdir -a
 	dh_testroot -a
 	dh_installman -a
@@ -266,4 +266,3 @@
 	install -m 644 debian/python.mk \
 		debian/python3/usr/share/python3/
 
-	mkdir -p debian/python3/usr/share/man/man1
